Package com.sun.mail.imap

## Class CopyUID

- java.lang.Object
- - com.sun.mail.imap.CopyUID

    public class CopyUID
    extends java.lang.Object

Information from the COPYUID response code defined by the UIDPLUS extension - RFC 4315.

Author:
  Bill Shannon

### Field Summary

Fields
`UIDSet[]` `dst`
`UIDSet[]` `src`
`long` `uidvalidity`

### Constructor Summary

Constructors
`CopyUID​(long uidvalidity, UIDSet[] src, UIDSet[] dst)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### uidvalidity

    public long uidvalidity

#### src

    public UIDSet[] src

#### dst

    public UIDSet[] dst

### Constructor Detail

#### CopyUID

    public CopyUID​(long uidvalidity,
                   UIDSet[] src,
                   UIDSet[] dst)